| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
nkDebug::RegisteredTestClass< T, T_NAME > Class Template Reference

Holds informations about a registered test class. More...

Inheritance diagram for nkDebug::RegisteredTestClass< T, T_NAME >:

## Public Member Functions
| RegisteredTestClass ()
Public Member Functions inherited from nkDebug::TestClass
| TestClass () noexcept
| TestClass (nkMemory::StringView name) noexcept
virtual | ~TestClass ()
FunctionSet & | getFunctionSet ()
const FunctionSet & | getFunctionSet () const
std::function< bool()> | getClassInitFunction () const
std::function< void()> | getClassShutdownFunction () const
std::function< bool()> | getFunctionInitFunction () const
std::function< void()> | getFunctionShutdownFunction () const
nkMemory::StringView | getName () const
bool | setClassInitFunction (std::function< bool()> func)
bool | setClassShutdownFunction (std::function< void()> func)
bool | setTestFunctionInitFunction (std::function< bool()> func)
bool | setTestFunctionShutdownFunction (std::function< void()> func)
void | setName (nkMemory::StringView value)
void | execute (const TestRunParameters &parameters) const

## Static Public Member Functions
static TestClass * | factoryFunc ()

## Static Public Attributes
static TestClass * | _registered = UnitTester::registerTestClass(&factoryFunc)
| Registering witness.

## Detailed Description

### template<typename T, const char * T_NAME>
class nkDebug::RegisteredTestClass< T, T_NAME >

Holds informations about a registered test class.

This is used internally within the registering system.

Template Parameters

  T | The underlying TestClass type.
  T_NAME | The name linked to the class.

## Constructor & Destructor Documentation

## ◆ RegisteredTestClass()

template<typename T , const char * T_NAME>

nkDebug::RegisteredTestClass< T, T_NAME >::RegisteredTestClass | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ factoryFunc()

template<typename T , const char * T_NAME>

static TestClass* nkDebug::RegisteredTestClass< T, T_NAME >::factoryFunc | ( |  | ) |
| inline static

Factory creation function.

Returns
  An instance of the TestClass type the factory is made for.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/TestClass.h